# Set up a new macro to define MOC's 'mocp' executable
%global     exec   mocp

Name:    moc
Summary: Music on Console - Console audio player for Linux/UNIX
Version: 2.5.1
Release: %mkrel 1
License: GPLv2+ and GPLv3+
Group:	Sound
URL:     http://www.moc.daper.net
Source0: http://ftp.daper.net/pub/soft/moc/unstable/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}curl-devel 
BuildRequires: %{_lib}db4.8-devel
BuildRequires: %{_lib}faad2-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}id3tag-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}ltdl-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}magic-devel
BuildRequires: %{_lib}modplug-devel
BuildRequires: %{_lib}mpcdec-devel
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}opus-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
BuildRequires: %{_lib}speex1-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}wavpack-devel
#-------------------------------------
Obsoletes:	moc-flac
Obsoletes:	moc-mp3
Obsoletes:	moc-sndfile
Obsoletes:	moc-speex
Obsoletes:	moc-vorbis
BuildRequires: autoconf, automake >= 1.13
Requires: ffmpeg  
Requires: %{_lib}opus0

%description
MOC (music on console) is a console audio player for LINUX/UNIX designed to be
powerful and easy to use. You just need to select a file from some directory
using the menu similar to Midnight Commander, and MOC will start playing all
files in this directory beginning from the chosen file.

For pulseaudio create ~ .moc/config file with the following line

SoundDriver = OSS, ALSA, JACK

And then running (or setting a shell alias) MOC as:
padsp mocp


%prep
%setup -q



%build

export LDFLAGS="-ltinfo"

%configure2_5x \
	--disable-static \
	--with-oss --with-alsa --with-jack --with-aac --with-mp3 \
	--with-musepack --with-vorbis --with-flac --with-wavpack \
	--with-sndfile --with-modplug --with-ffmpeg --with-speex \
	--with-samplerate --with-curl --with-rcc

%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -f $RPM_BUILD_ROOT%_libdir/*.la
rm -f $RPM_BUILD_ROOT%_libdir/moc/decoder_plugins/*.la

%files
%defattr(-, root, root)
%doc README README_equalizer AUTHORS ChangeLog COPYING config.example keymap.example NEWS
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*

%clean
rm -rf "$RPM_BUILD_ROOT"


%changelog
* Fri Oct 28 2016 adrianomorselli <adrianomorselli> 2.5.1-1uplos2016
- rebuild

* Thu Apr 28 2016 bb <bb> 2.5.1-1pclos2016
- update

* Mon Nov 16 2014 bb <bb> 2.5.0-1pclos2014
- rebuild ffmpeg 2.4.3

* Wed Jan 15 2014 bb <bb> 2.5.0-0.2pclos2014
- fix rpmgroup


